Skip to content

Backup Licenses

All operations require authentication.

19 operationsv2/backupServices/tenant
Agent setup

Retrieves the backup tenants you manageBeta

GET
/v2/backupServices/tenant

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200tenantWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time the backup tenant is created

currentState
read-only
CurrentState

Current operational state of the backup tenant

currentTasks
read-only
CurrentTask[]

List of tasks that are currently running for the backup tenant

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the backup tenant

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the backup tenant

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target state of the backup tenant

updatedAt
read-only
stringdate-time

Date and time the backup tenant is last updated

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "name": "string", "vaults": [ "string" ], "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Retrieves the details of your backup tenantBeta

GET
/v2/backupServices/tenant/{backupServicesId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

Response

200tenantWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time the backup tenant is created

currentState
read-only
CurrentState

Current operational state of the backup tenant

currentTasks
read-only
CurrentTask[]

List of tasks that are currently running for the backup tenant

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the backup tenant

resourceStatus
read-only
ResourceStatusEnum

Readiness status of the backup tenant

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target state of the backup tenant

updatedAt
read-only
stringdate-time

Date and time the backup tenant is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "id": "00000000-0000-0000-0000-000000000000", "name": "string", "vaults": [ "string" ], "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Lists vaults for your tenantBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vault

Path parameters

backupServicesId
required
stringuuid

Backup services ID

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200vaultWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time when you created the vault

currentState
read-only
CurrentState

Current state of your vault

currentTasks
read-only
CurrentTask[]

List of tasks currently running on your vault

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of your vault

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of your vault target

updatedAt
read-only
stringdate-time

Date and time when you last updated the vault

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Retrieves specific vault detailsBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vaultId
required
string

Vault ID

Response

200vaultWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time when you created the vault

currentState
read-only
CurrentState

Current state of your vault

currentTasks
read-only
CurrentTask[]

List of tasks currently running on your vault

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of your vault

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of your vault target

updatedAt
read-only
stringdate-time

Date and time when you last updated the vault

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Updates vault display name and cloud repositoryBeta

PUT
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vaultId
required
string

Vault ID

Request body (required)

name
required
string

Display name of your vault

Response

200vaultsuccessful operation
createdAt
read-only
stringdate-time

Date and time when you created the vault

currentState
read-only
CurrentState

Current state of your vault

currentTasks
read-only
CurrentTask[]

List of tasks currently running on your vault

id
read-only
string

Unique identifier of your vault. A UUID for Backup Agent and Backup Licenses vaults, the vault name for Managed Backup vaults.

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of your vault

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of your vault target

updatedAt
read-only
stringdate-time

Date and time when you last updated the vault

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "buckets": [ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" } ], "id": "string", "includedSoftQuotaGb": 0, "name": "string", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE", "vaultProductLine": "BACKUP_AGENT", "vspcTenants": [ "string" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Lists buckets of the vaultBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vaultId
required
string

Vault ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200bucket[]successful operation
encrypted
read-only
boolean

Whether the backup data stored in the bucket is encrypted. Always true for Managed Backup buckets. Null when not reported by the platform.

id
read-only
stringuuid

Specifies the unique identifier of the bucket

immutability
read-only
Immutability

Immutability settings of the bucket, enabled on the buckets of a PREMIUM Managed Backup vault. Null when not reported by the platform.

name
read-only
string

Specifies the name of the bucket

performance
read-only
BucketPerformanceEnum

Specifies the performance tier of the bucket

ValuesHIGH_PERFSTANDARD
region
read-only
RegionEnum

Specifies the geographic region where the bucket is located

Valuesaf-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-sea
role
read-only
BucketRoleEnum

Specifies the role assigned to the bucket

ValuesPRIMARYREPLICA
status
read-only
ResourceStatusEnum

Specifies the current status of the bucket

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING" }]

Gets specific vault bucket detailsBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket/{bucketId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

bucketId
required
stringuuid

Bucket ID

vaultId
required
string

Vault ID

Response

200bucketsuccessful operation
encrypted
read-only
boolean

Whether the backup data stored in the bucket is encrypted. Always true for Managed Backup buckets. Null when not reported by the platform.

id
read-only
stringuuid

Specifies the unique identifier of the bucket

immutability
read-only
Immutability

Immutability settings of the bucket, enabled on the buckets of a PREMIUM Managed Backup vault. Null when not reported by the platform.

name
read-only
string

Specifies the name of the bucket

performance
read-only
BucketPerformanceEnum

Specifies the performance tier of the bucket

ValuesHIGH_PERFSTANDARD
region
read-only
RegionEnum

Specifies the geographic region where the bucket is located

Valuesaf-north-lz-rbaap-south-mumap-southeast-sgpap-southeast-sydca-east-bhsca-east-toreu-central-lz-buheu-central-lz-prgeu-central-lz-sofeu-central-waweu-north-lz-cpheu-north-lz-heleu-north-lz-osleu-north-lz-stoeu-south-lz-liseu-south-lz-madeu-south-lz-mileu-south-mileu-west-erieu-west-graeu-west-gra-snceu-west-limeu-west-lz-amseu-west-lz-brueu-west-lz-dlneu-west-lz-luxeu-west-lz-mnceu-west-lz-mrseu-west-lz-vieeu-west-lz-zrheu-west-pareu-west-rbxeu-west-rbx-snceu-west-sbgeu-west-sbg-sncus-central-lz-slcus-central-lz-stlus-east-lz-atlus-east-lz-bosus-east-lz-chius-east-lz-dalus-east-lz-miaus-east-lz-nycus-east-vinus-west-hilus-west-lz-denus-west-lz-laxus-west-lz-paous-west-lz-phxus-west-lz-sea
role
read-only
BucketRoleEnum

Specifies the role assigned to the bucket

ValuesPRIMARYREPLICA
status
read-only
ResourceStatusEnum

Specifies the current status of the bucket

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, bucketId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket/{bucketId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "encrypted": true, "id": "00000000-0000-0000-0000-000000000000", "immutability": { "enabled": true, "retentionDays": 0 }, "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "role": "PRIMARY", "status": "CREATING"}

Retrieves S3™*-compatible credentials and connection endpoint for a vault bucketBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket/{bucketId}/credentials

* S3 is a trademark filed by Amazon Technologies,Inc. OVHcloud's service is not sponsored by, endorsed by, or otherwise affiliated with Amazon Technologies,Inc.

Path parameters

backupServicesId
required
stringuuid

Backup services ID

bucketId
required
stringuuid

Bucket ID

vaultId
required
string

Vault ID

Response

200Credentialssuccessful operation
accessKey
read-only
string

S3 access key

bucketName
read-only
string

Name of the bucket these credentials belong to

endpoint
read-only
string

S3 endpoint URL to configure in your environment

regionCode
read-only
RegionCodeEnum

Short region code of the bucket

Valuesap-south-mumap-southeast-sydbhsca-east-tordeeu-south-mileu-west-pargrarbxsbgsgpukwaw
secretKey
read-only
stringpassword

S3 secret key, sensitive value

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, bucketId = 00000000-0000-0000-0000-000000000000, vaultId = string

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vault/{vaultId}/bucket/{bucketId}/credentials \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "accessKey": "string", "bucketName": "string", "endpoint": "string", "regionCode": "ap-south-mum", "secretKey": "string"}

Retrieves list of VSPC tenantsBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc

Path parameters

backupServicesId
required
stringuuid

Backup services ID

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200vspcWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time when the tenant is created

currentState
read-only
CurrentState

Current state of the tenant

currentTasks
read-only
CurrentTask[]

List of tasks currently running for the tenant

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the tenant

resourceStatus
read-only
ResourceStatusEnum

Indicates whether the vault is ready

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target for the tenant

updatedAt
read-only
stringdate-time

Date and time when the tenant is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z" }]

Retrieves details of a specific VSPC tenantBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200vspcWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the tenant is created

currentState
read-only
CurrentState

Current state of the tenant

currentTasks
read-only
CurrentTask[]

List of tasks currently running for the tenant

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the tenant

resourceStatus
read-only
ResourceStatusEnum

Indicates whether the vault is ready

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target for the tenant

updatedAt
read-only
stringdate-time

Date and time when the tenant is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Updates the display name of a VSPC tenantBeta

PUT
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Request body (required)

name
required
string

Display name of the tenant

Response

200vspcsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the tenant is created

currentState
read-only
CurrentState

Current state of the tenant

currentTasks
read-only
CurrentTask[]

List of tasks currently running for the tenant

id
read-only
stringuuid

Unique identifier of the tenant

resourceStatus
read-only
ResourceStatusEnum

Indicates whether the vault is ready

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Specification of the target for the tenant

updatedAt
read-only
stringdate-time

Date and time when the tenant is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "accessUrl": "string", "backupAgents": [ { "id": "00000000-0000-0000-0000-000000000000", "ips": [ "192.0.2.0/24" ], "name": "string", "policy": "string", "productResourceName": "string", "type": "ON_PREMISE", "vaultId": "00000000-0000-0000-0000-000000000000" } ], "backupLicensesId": "string", "companyName": "string", "enabledAddons": [ "BACKUP_AGENT" ], "id": "00000000-0000-0000-0000-000000000000", "managedBackupIds": [ "string" ], "name": "string", "region": "af-north-lz-rba", "status": "CREATING", "vaults": [ { "allowedIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "name": "string", "performance": "HIGH_PERF", "region": "af-north-lz-rba", "resourceName": "string", "status": "CREATING", "type": "BUNDLE" } ], "vspcType": "ADVANCED" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "name": "string" }, "updatedAt": "2024-01-01T12:00:00Z"}

Retrieves the Backup Licenses subscription list of the VSPC tenantBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200backupLicensesWithIAM[]successful operation
createdAt
read-only
stringdate-time

Date and time when the subscription is created

currentState
read-only
CurrentState

Current state of the subscription

currentTasks
read-only
CurrentTask[]

Current tasks running on the subscription

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the Backup Licenses subscription

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of the subscription

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
updatedAt
read-only
stringdate-time

Date and time when the subscription is last updated

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "backupServers": [ { "displayName": "string", "externalIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "licenseStatus": "CREATING", "licenseType": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "licenseTypeRequested": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "managementAgentStatus": "CONNECTED", "osType": "LINUX_APPLIANCE", "privateIps": [ "192.0.2.0/24" ], "status": "CREATING" } ], "id": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "updatedAt": "2024-01-01T12:00:00Z" }]

Retrieves the Backup Licenses subscription of the VSPC tenantBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses/{backupLicensesId}

Path parameters

backupLicensesId
required
string

Backup licenses ID

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200backupLicensesWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Date and time when the subscription is created

currentState
read-only
CurrentState

Current state of the subscription

currentTasks
read-only
CurrentTask[]

Current tasks running on the subscription

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the Backup Licenses subscription

resourceStatus
read-only
ResourceStatusEnum

Indicates the readiness of the subscription

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
updatedAt
read-only
stringdate-time

Date and time when the subscription is last updated

Example uses backupLicensesId = string, backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses/{backupLicensesId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "backupServers": [ { "displayName": "string", "externalIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "licenseStatus": "CREATING", "licenseType": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "licenseTypeRequested": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "managementAgentStatus": "CONNECTED", "osType": "LINUX_APPLIANCE", "privateIps": [ "192.0.2.0/24" ], "status": "CREATING" } ], "id": "string" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "updatedAt": "2024-01-01T12:00:00Z"}

Lists backup servers of the Backup Licenses subscriptionBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses/{backupLicensesId}/backupServer

Path parameters

backupLicensesId
required
string

Backup licenses ID

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200backupServer[]successful operation
createdAt
read-only
stringdate-time

Date and time when you register the backup server

currentState
read-only
CurrentState

Current state of the backup server

currentTasks
read-only
CurrentTask[]

Current tasks running on the backup server

id
read-only
stringuuid

Unique identifier of the backup server

status
read-only
BackupServerStatusEnum

Shows whether the backup server is ready

ValuesCREATINGDELETINGDISABLEDENABLEDERRORNOT_CONFIGUREDNOT_INSTALLEDUPDATING
targetSpec
read-only
TargetSpec

Target specification for the backup server

updatedAt
read-only
stringdate-time

Date and time when you update the backup server

Example uses backupLicensesId = string, backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses/{backupLicensesId}/backupServer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "backupServerVersion": "string", "displayName": "string", "externalIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "licenseStatus": "CREATING", "licenseType": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "licenseTypeRequested": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "managementAgentStatus": "CONNECTED", "osType": "LINUX_APPLIANCE", "privateIps": [ "192.0.2.0/24" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "targetSpec": { "displayName": "string", "externalIps": [ "192.0.2.0/24" ], "licenseType": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "privateIps": [ "192.0.2.0/24" ] }, "updatedAt": "2024-01-01T12:00:00Z" }]

Registers an additional backup server under the Backup Licenses subscriptionBeta

POST
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses/{backupLicensesId}/backupServer

Path parameters

backupLicensesId
required
string

Backup licenses ID

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Request body (required)

displayName
string

Name of the backup server

externalIps
required
ipBlock[]

External IP addresses of the backup server

licenseType
required
LicenseTypeEnum

Requested license type

ValuesVEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUSVEEAM_DATA_PLATFORM_ADVANCEDVEEAM_DATA_PLATFORM_FOUNDATIONVEEAM_DATA_PLATFORM_PREMIUM
privateIps
ipBlock[]

Private IP addresses used for discovery

Response

200backupServersuccessful operation
createdAt
read-only
stringdate-time

Date and time when you register the backup server

currentState
read-only
CurrentState

Current state of the backup server

currentTasks
read-only
CurrentTask[]

Current tasks running on the backup server

id
read-only
stringuuid

Unique identifier of the backup server

status
read-only
BackupServerStatusEnum

Shows whether the backup server is ready

ValuesCREATINGDELETINGDISABLEDENABLEDERRORNOT_CONFIGUREDNOT_INSTALLEDUPDATING
targetSpec
read-only
TargetSpec

Target specification for the backup server

updatedAt
read-only
stringdate-time

Date and time when you update the backup server

Example uses backupLicensesId = string, backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses/{backupLicensesId}/backupServer \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "backupServerVersion": "string", "displayName": "string", "externalIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "licenseStatus": "CREATING", "licenseType": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "licenseTypeRequested": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "managementAgentStatus": "CONNECTED", "osType": "LINUX_APPLIANCE", "privateIps": [ "192.0.2.0/24" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "targetSpec": { "displayName": "string", "externalIps": [ "192.0.2.0/24" ], "licenseType": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "privateIps": [ "192.0.2.0/24" ] }, "updatedAt": "2024-01-01T12:00:00Z"}

Gets specific backup server detailsBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses/{backupLicensesId}/backupServer/{backupServerId}

Path parameters

backupLicensesId
required
string

Backup licenses ID

backupServerId
required
stringuuid

Backup server ID

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200backupServersuccessful operation
createdAt
read-only
stringdate-time

Date and time when you register the backup server

currentState
read-only
CurrentState

Current state of the backup server

currentTasks
read-only
CurrentTask[]

Current tasks running on the backup server

id
read-only
stringuuid

Unique identifier of the backup server

status
read-only
BackupServerStatusEnum

Shows whether the backup server is ready

ValuesCREATINGDELETINGDISABLEDENABLEDERRORNOT_CONFIGUREDNOT_INSTALLEDUPDATING
targetSpec
read-only
TargetSpec

Target specification for the backup server

updatedAt
read-only
stringdate-time

Date and time when you update the backup server

Example uses backupLicensesId = string, backupServerId = 00000000-0000-0000-0000-000000000000, backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses/{backupLicensesId}/backupServer/{backupServerId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "backupServerVersion": "string", "displayName": "string", "externalIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "licenseStatus": "CREATING", "licenseType": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "licenseTypeRequested": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "managementAgentStatus": "CONNECTED", "osType": "LINUX_APPLIANCE", "privateIps": [ "192.0.2.0/24" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "targetSpec": { "displayName": "string", "externalIps": [ "192.0.2.0/24" ], "licenseType": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "privateIps": [ "192.0.2.0/24" ] }, "updatedAt": "2024-01-01T12:00:00Z"}

Updates a backup server; IP and display name changes apply immediately, a license type change is applied on the 1st of the next monthBeta

PUT
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses/{backupLicensesId}/backupServer/{backupServerId}

Path parameters

backupLicensesId
required
string

Backup licenses ID

backupServerId
required
stringuuid

Backup server ID

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Request body (required)

displayName
string

Name of the backup server

externalIps
required
ipBlock[]

External IP addresses of the backup server

licenseType
required
LicenseTypeEnum

Requested license type

ValuesVEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUSVEEAM_DATA_PLATFORM_ADVANCEDVEEAM_DATA_PLATFORM_FOUNDATIONVEEAM_DATA_PLATFORM_PREMIUM
privateIps
ipBlock[]

Private IP addresses used for discovery

Response

200backupServersuccessful operation
createdAt
read-only
stringdate-time

Date and time when you register the backup server

currentState
read-only
CurrentState

Current state of the backup server

currentTasks
read-only
CurrentTask[]

Current tasks running on the backup server

id
read-only
stringuuid

Unique identifier of the backup server

status
read-only
BackupServerStatusEnum

Shows whether the backup server is ready

ValuesCREATINGDELETINGDISABLEDENABLEDERRORNOT_CONFIGUREDNOT_INSTALLEDUPDATING
targetSpec
read-only
TargetSpec

Target specification for the backup server

updatedAt
read-only
stringdate-time

Date and time when you update the backup server

Example uses backupLicensesId = string, backupServerId = 00000000-0000-0000-0000-000000000000, backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses/{backupLicensesId}/backupServer/{backupServerId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "backupServerVersion": "string", "displayName": "string", "externalIps": [ "192.0.2.0/24" ], "id": "00000000-0000-0000-0000-000000000000", "licenseStatus": "CREATING", "licenseType": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "licenseTypeRequested": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "managementAgentStatus": "CONNECTED", "osType": "LINUX_APPLIANCE", "privateIps": [ "192.0.2.0/24" ] }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "status": "CREATING", "targetSpec": { "displayName": "string", "externalIps": [ "192.0.2.0/24" ], "licenseType": "VEEAM_BACKUP_REPLICATION_ENTERPRISE_PLUS", "privateIps": [ "192.0.2.0/24" ] }, "updatedAt": "2024-01-01T12:00:00Z"}

Deregisters a backup server from the Backup Licenses subscription; the subscription and license types are retainedBeta

DELETE
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses/{backupLicensesId}/backupServer/{backupServerId}

Path parameters

backupLicensesId
required
string

Backup licenses ID

backupServerId
required
stringuuid

Backup server ID

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200—successful operation

Example uses backupLicensesId = string, backupServerId = 00000000-0000-0000-0000-000000000000, backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/backupLicenses/{backupLicensesId}/backupServer/{backupServerId} \
  -H "authorization: Bearer $OVH_TOKEN"

Retrieves the download link for the management agentBeta

GET
/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managementAgent

Path parameters

backupServicesId
required
stringuuid

Backup services ID

vspcTenantId
required
stringuuid

Vspc tenant ID

Response

200managementAgentsuccessful operation
linuxDeployScript
read-only
string

URL of the script used to install the Linux Management Agent

linuxUrl
read-only
string

URL of the Management Agent download for Linux

macUrl
read-only
string

URL of the Management Agent download for MacOS

windowsUrl
read-only
string

URL of the Management Agent download for Windows

Example uses backupServicesId = 00000000-0000-0000-0000-000000000000, vspcTenantId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/backupServices/tenant/{backupServicesId}/vspc/{vspcTenantId}/managementAgent \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "linuxDeployScript": "string", "linuxUrl": "string", "macUrl": "string", "windowsUrl": "string"}